Role Name
=========

An Ansible Role to create local user accounts.

Requirements
------------

None.

Role Variables
--------------

```yaml
accounts:
  - name:                  # Username for the local user (required)
    shell:                 # Shell for the local user (required)
    userid:                # User ID for the local user (required)
    expiry_date:           # Expiry date for the local user in the format 'YYYY-MM-DD' (optional, default: never)
    home:                  # Home directory path for the local user (optional, default: "/home/{{ name }}")
    groups:                # List of groups the local user belongs to (optional, default: its own group)
```

Example Playbook
----------------

```yaml
    - hosts: servers
      vars:
        accounts:
          - name: test_user1
            shell: /bin/bash
            userid: 1001

      roles:
         - { role: slococo.playground.local_accounts }
```

License
-------

MIT
